PIP3-UNINSTALL(1)

NAME
pip3-uninstall - description of pip3 uninstall command

DESCRIPTION

Uninstall packages.

pip is able to uninstall most installed packages. Known exceptions are:

    •   Pure distutils packages installed with python setup.py install, which leave behind no metadata to determine what files were installed.

    •   Script wrappers installed by python setup.py develop.

USAGE

            python -m pip uninstall [options] <package> ...
            python -m pip uninstall [options] -r <requirements file> ...

OPTIONS

    -r, --requirement <file>
        Uninstall all the packages listed in the given requirements file. This option can be used multiple times.

        (environment variable: PIP_REQUIREMENT)

    -y, --yes
        Don't ask for confirmation of uninstall deletions.

        (environment variable: PIP_YES)

    --root-user-action <root_user_action>
        Action if pip is run as a root user [warn, ignore] (default: warn)

        (environment variable: PIP_ROOT_USER_ACTION)

    --break-system-packages
        Allow pip to modify an EXTERNALLY-MANAGED Python installation

        (environment variable: PIP_BREAK_SYSTEM_PACKAGES)

Author
pip developers

Copyright
The pip developers